import type { JSX } from '../../stencil-public-runtime';
import type { DisabledPropType, FocusableElement, HideLabelPropType, HideMsgPropType, HintPropType, InputRadioAPI, InputRadioStates, InputTypeOnDefault, KolFocusOptions, LabelWithExpertSlotPropType, MsgPropType, NamePropType, RadioOptionsPropType, RequiredPropType, StencilUnknown, Stringified, SyncValueBySelectorPropType, TooltipAlignPropType, VariantClassNamePropType } from '../../schema';
import type { OrientationPropType } from '../../schema/props/orientation';
export declare class KolInputRadio implements InputRadioAPI, FocusableElement {
    private readonly host?;
    private inputRef?;
    private inputRefs;
    private readonly setInputRef;
    private readonly setInputRefByIndex;
    getValue(): Promise<StencilUnknown>;
    focus(options?: KolFocusOptions): Promise<void>;
    click(): Promise<void>;
    private getFocusableInput;
    private getFormFieldProps;
    render(): JSX.Element;
    private calculateDisabled;
    private getOptionProps;
    private getInputProps;
    private renderOption;
    private readonly controller;
    _disabled?: boolean;
    _hideMsg?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _label: LabelWithExpertSlotPropType;
    _msg?: Stringified<MsgPropType>;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _options?: RadioOptionsPropType;
    _orientation?: OrientationPropType;
    _required?: boolean;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value: StencilUnknown;
    _variant?: VariantClassNamePropType;
    state: InputRadioStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateTooltipAlign(value?: TooltipAlignPropType): void;
    validateDisabled(value?: DisabledPropType): void;
    validateHideLabel(value?: HideLabelPropType): void;
    validateHideMsg(value?: HideMsgPropType): void;
    validateHint(value?: HintPropType): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateOptions(value?: RadioOptionsPropType): void;
    validateOrientation(value?: OrientationPropType): void;
    validateRequired(value?: RequiredPropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTouched(value?: boolean): void;
    validateValue(value: StencilUnknown): void;
    validateVariant(value?: VariantClassNamePropType): void;
    componentWillLoad(): void;
    private onInput;
    private onChange;
    private readonly onKeyDown;
}
